SMBIOS structures
Public interface » ID macros

Structures holding decoded SMBIOS information. More...

## Data Structures

struct | smbios_any_t
| common part of all smbios_* types More...
struct | smbios_biosinfo_t
| BIOS related information. More...
struct | smbios_sysinfo_t
| overall system related information More...
struct | smbios_boardinfo_t
| motherboard related information More...
struct | smbios_chassis_t
| chassis information More...
struct | smbios_processor_t
| processor information More...
struct | smbios_cache_t
| cache information More...
struct | smbios_connect_t
| port connector information More...
struct | smbios_slot_t
| system slot information More...
struct | smbios_onboard_t
| on board devices information More...
struct | smbios_oem_t
| OEM information. More...
struct | smbios_config_t
| system config options More...
struct | smbios_lang_t
| language information More...
struct | smbios_group_t
| group associations More...
struct | smbios_memarray_t
| physical memory array (consists of several memory devices) More...
struct | smbios_memdevice_t
| memory device More...
struct | smbios_memerror_t
| 32-bit memory error information More...
struct | smbios_memarraymap_t
| memory array mapped address More...
struct | smbios_memdevicemap_t
| memory device mapped address More...
struct | smbios_mouse_t
| pointing device (aka 'mouse') information More...
struct | smbios_secure_t
| hardware security More...
struct | smbios_power_t
| system power controls More...
struct | smbios_mem64error_t
| 64-bit memory error information More...
union | u_hd_smbios_t
| SMBIOS list item. More...

## Typedefs

typedef union u_hd_smbios_t | hd_smbios_t
| SMBIOS list item.

## Enumerations

enum

hd_smbios_type_t {
sm_biosinfo , sm_sysinfo , sm_boardinfo , sm_chassis ,
sm_processor , sm_memctrl , sm_memmodule , sm_cache ,
sm_connect , sm_slot , sm_onboard , sm_oem ,
sm_config , sm_lang , sm_group , sm_eventlog ,
sm_memarray , sm_memdevice , sm_memerror , sm_memarraymap ,
sm_memdevicemap , sm_mouse , sm_battery , sm_reset ,
sm_secure , sm_power , sm_voltage , sm_cool ,
sm_temperature , sm_current , sm_outofband , sm_bis ,
sm_boot , sm_mem64error , sm_mandev , sm_mandevcomp ,
sm_mdtd , sm_inactive = 126 , sm_end = 127
}

| smbios entries More...

## Detailed Description

Structures holding decoded SMBIOS information.

## Typedef Documentation

## hd_smbios_t

typedef union u_hd_smbios_t hd_smbios_t

SMBIOS list item.

## Enumeration Type Documentation

## hd_smbios_type_t

enum hd_smbios_type_t

smbios entries

Enumerator
sm_biosinfo |
sm_sysinfo |
sm_boardinfo |
sm_chassis |
sm_processor |
sm_memctrl |
sm_memmodule |
sm_cache |
sm_connect |
sm_slot |
sm_onboard |
sm_oem |
sm_config |
sm_lang |
sm_group |
sm_eventlog |
sm_memarray |
sm_memdevice |
sm_memerror |
sm_memarraymap |
sm_memdevicemap |
sm_mouse |
sm_battery |
sm_reset |
sm_secure |
sm_power |
sm_voltage |
sm_cool |
sm_temperature |
sm_current |
sm_outofband |
sm_bis |
sm_boot |
sm_mem64error |
sm_mandev |
sm_mandevcomp |
sm_mdtd |
sm_inactive |
sm_end |